Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

bumped version.

Changed to use bundler generated gemspec
updated generated Guardfile
  • Loading branch information...
commit 87b2b8f843e1b26b26aeba2d3f457de747ac6641 1 parent f7434f6
@pelle pelle authored
View
4 Gemfile
@@ -0,0 +1,4 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in guard-jammit.gemspec
+gemspec
View
28 Gemfile.lock
@@ -0,0 +1,28 @@
+PATH
+ remote: .
+ specs:
+ guard-jammit (0.2.0)
+ guard
+ jammit
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ POpen4 (0.1.4)
+ Platform (>= 0.4.0)
+ open4
+ Platform (0.4.0)
+ guard (0.6.2)
+ thor (~> 0.14.6)
+ jammit (0.6.3)
+ yui-compressor (>= 0.9.3)
+ open4 (1.1.0)
+ thor (0.14.6)
+ yui-compressor (0.9.6)
+ POpen4 (>= 0.1.4)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ guard-jammit!
View
33 Rakefile
@@ -1,32 +1 @@
-require 'rubygems'
-require 'rake'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "guard-jammit"
- gem.summary = %Q{Guard plugin for running jammit}
- gem.description = %Q{This is a guard plugin to watch javascript and stylesheets to afterwards run jammit.}
- gem.email = "pelleb@gmail.com"
- gem.homepage = "http://github.com/pelle/guard-jammit"
- gem.authors = ["Pelle Braendgaard"]
- gem.add_dependency "guard"
- gem.add_dependency "jammit"
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
-
-task :default => :jeweler
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "guard-jammit #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
+require 'bundler/gem_tasks'
View
1  VERSION
@@ -1 +0,0 @@
-0.1.0
View
45 guard-jammit.gemspec
@@ -1,37 +1,22 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "guard/jammit/version"
Gem::Specification.new do |s|
- s.name = %q{guard-jammit}
- s.version = "0.1.0"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Pelle Braendgaard"]
- s.date = %q{2010-11-08}
+ s.name = "guard-jammit"
+ s.version = Guard::Jammit::VERSION
+ s.authors = ["Pelle Braendgaard"]
+ s.email = ["pelle@stakeventures.com"]
+ s.homepage = %q{http://github.com/guard/guard-jammit}
+ s.summary = %q{Guard plugin for Jammit}
s.description = %q{This is a guard plugin to watch javascript and stylesheets to afterwards run jammit.}
- s.email = %q{pelleb@gmail.com}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.textile"
- ]
- s.files = [
- ".document",
- ".gitignore",
- "LICENSE",
- "README.textile",
- "Rakefile",
- "VERSION",
- "guard-jammit.gemspec",
- "lib/guard/jammit.rb",
- "lib/guard/jammit/templates/Guardfile"
- ]
- s.homepage = %q{http://github.com/pelle/guard-jammit}
- s.rdoc_options = ["--charset=UTF-8"]
+
+ s.rubyforge_project = "guard-jammit"
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Guard plugin for running jammit}
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
@@ -48,5 +33,5 @@ Gem::Specification.new do |s|
s.add_dependency(%q<guard>, [">= 0"])
s.add_dependency(%q<jammit>, [">= 0"])
end
-end
+end
View
6 lib/guard/jammit/templates/Guardfile
@@ -1,4 +1,4 @@
guard 'jammit' do
- watch('^public/javascripts/(.*)\.js')
- watch('^public/stylesheets/(.*)\.css')
-end
+ watch(/^public\/javascripts\/(.*)\.js/)
+ watch(/^public\/stylesheets\/(.*)\.css/)
+end
View
5 lib/guard/jammit/version.rb
@@ -0,0 +1,5 @@
+module Guard
+ module Jammit
+ VERSION = "0.2.0"
+ end
+end
Please sign in to comment.
Something went wrong with that request. Please try again.